Bug 97410 - Installation failure
Installation failure
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-06-14 16:28 EDT by ray
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-23 14:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ray 2003-06-14 16:28:41 EDT
Description of problem:
When installing on a "brand new setup" 2x IDE disks 60Mb each. Pentium 4 
2.4Ghrtz 512Mb RAM

Version-Release number of selected component (if applicable):
Redhat 9

How reproducible:
Boot from CD, go thru install prompt up to entering root password..then system 
installion aborts.

Actual results:
Installation aborts!

Expected results:
...to continue with installation.

Additional info:
When exception occurred info appears and saved to Floppy. This is the text 
that appears every time I try.
// quote

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 761, in nextClicked
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 151, in readPackages
    id.comps = method.readComps(id.hdList)
  File "/usr/lib/anaconda/installmethod.py", line 64, in readComps
    return self.readCompsViaMethod(hdlist)
  File "/usr/lib/anaconda/image.py", line 37, in readCompsViaMethod
    return ComponentSet(fname, hdlist)
  File "/usr/lib/anaconda/comps.py", line 1035, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/lib/anaconda/comps.py", line 740, in readCompsFile
    self.compsxml = rhpl.comps.Comps(file)
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 297, in __init__
    self.load (filename)
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 304, in load
    doc = libxml2.parseMemory(file, len(file))
  File "/usr/lib/python2.2/site-packages/libxml2.py", line 976, in parseMemory
    if ret is None:raise parserError('xmlParseMemory() failed')
parserError: xmlParseMemory() failed

// end quote
Comment 1 Michael Fulbright 2003-06-16 11:23:55 EDT
Have you performed the mediacheck on all CD media?
Comment 2 ray 2003-06-17 08:28:39 EDT
yep - twice already.
Comment 3 Michael Fulbright 2003-06-20 12:10:59 EDT
This error only occurs if there is a lack of memory or if there are read errors
from the installation device, in this case the CD.  It might possibly happen if
there were errors from the hard drives but that is doubtful.

I would recommend trying a different CD drive if possible.
Comment 4 ray 2003-06-21 03:44:47 EDT
good news! the problem was corrupt memory chips. 

after trying and failing to install 7 (yes seven!) different os's i had the 
hardware bench tested and came to the shocking discovery that windows reads 
only a portion of the memory chip (hence no memory errors). where redhat reads 
the chip in a different way with a more intense integrity (hence all the 
errors i got). 

i am sure that 99% of the err's out there that look like this are related to 
bad memory chips.

so this call can be closed. thanks for all your help.
Comment 5 Michael Fulbright 2003-06-23 14:35:38 EDT
Wow nice work!

I've been thinking of adding memtest86 (a memory test utility) to the boot CD so
people could test their systems.

Note You need to log in before you can comment on or make changes to this bug.